#!/bin/bash
#SBATCH -J myjob              # Job name
#SBATCH -p small              # Queue (partition) name
#SBATCH -N 1                  # Total # of nodes
#SBATCH --ntasks-per-node 28
#SBATCH -t 01:00:00           # Run time (hh:mm:ss)
#SBATCH -A EPSchool2022
#SBATCH --reservation EPW-SCHOOL-Wed

# echo loaded modules, current directory, and starting time
module list
pwd
date

# export the path which contains executable file
export PATHQE=/work2/06868/giustino/SCHOOL/q-e-qe-7.2

# run jobs
ibrun -np 28 $PATHQE/bin/epw.x -npool 28 -input lif.epw3.in > lif.epw3.out

# echo finishing time
date
